Bug 586046 - install exited abnormally [1/1] -- ValueError: Invalid flag provided.
install exited abnormally [1/1] -- ValueError: Invalid flag provided.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F13Blocker/F13FinalBlocker
  Show dependency treegraph
 
Reported: 2010-04-26 13:23 EDT by James Laska
Modified: 2013-09-02 02:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: pyparted-3.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 15:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2010-04-26 13:23:54 EDT
Description of problem:

Trying to work an i386 automated install through the rawhide acceptance test plan and it appears to crash upon entering stage#2.


Version-Release number of selected component (if applicable):
 * Running anaconda 13.38, the Fedora system installer - please wait.

How reproducible:


Steps to Reproduce:
1. Install an i386 virt guest on an i386 virt host
2. Alternatively, use AutoQA install.py as directed below ...

# python install.py http://download.fedoraproject.org/pub/fedora/linux/development/13/i386/os
  
Actual results:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 817, in <module>
    import kickstart
  File "/usr/lib/anaconda/kickstart.py", line 21, in <module>
    from storage.deviceaction import *
  File "/usr/lib/anaconda/storage/__init__.py", line 31, in <module>
    import parted
  File "/usr/lib/python2.6/site-packages/parted/__init__.py", line 52, in <module>
    from partition import Partition
  File "/usr/lib/python2.6/site-packages/parted/partition.py", line 249, in <module>
    partitionFlag[__flag] = _ped.partition_flag_get_name(__flag)
ValueError: Invalid flag provided.
install exited abnormally [1/1] 
The system will be rebooted when you press Ctrl-C or Ctrl-Alt-Delete.

Expected results:


Additional info:
Comment 1 Chris Lumens 2010-04-26 13:30:50 EDT
What version of pyparted is in your tree?
Comment 2 James Laska 2010-04-26 13:44:20 EDT
(In reply to comment #1)
> What version of pyparted is in your tree?    

pyparted-3.2-1.fc13.i686, and I see there is already a pyparted-3.3-1 in koji (http://koji.fedoraproject.org/koji/buildinfo?buildID=168198).  I take it this just needs to land in the next compose?
Comment 3 Chris Lumens 2010-04-26 14:37:39 EDT
Yep.
Comment 4 James Laska 2010-04-27 15:52:37 EDT
Fixed with the latest pyparted on the mirrors.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.